<%
	'#########################################################
	'#	Copyright  2004 FreedomWeb.US Enterprises	 #
	'#	Product:	X-Send				 #
	'#	Version:	1.3.3.25			 #
	'#########################################################

	'Send email to whoever using Scripting.Dictionary and CDO.Message
	Function SendMail(objEMailDictionary)
		Dim strTo, strFrom, strSubject, blnHTML, txtMessage
		strTo = """" & objEMailDictionary.Item("ToName") & """ <" & objEMailDictionary.Item("ToEMail") & ">"
		strFrom = """" & objEMailDictionary.Item("FromName") & """ <" & objEMailDictionary.Item("FromEMail") & ">"
		strSubject = objEMailDictionary.Item("Subject")
		blnHTML = objEMailDictionary.Item("HTMLBody")
		txtMessage = objEMailDictionary.Item("Message")
		Dim objCDOiMsg, objCDOiConf, objCDOFlds, objCDOiMsgFlds
		Set objCDOiMsg = Server.CreateObject("CDO.Message")
		Set objCDOiConf = Server.CreateObject("CDO.Configuration")
		Set objCDOFlds = objCDOiConf.Fields
		With objCDOFlds
			.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = objEMailDictionary.Item("SendUsing")
			If objEMailDictionary.Item("SendUsing") = cdoSendUsingPort Then
				.Item("http://schemas.microsoft.com/cdo/configuration/smtpserver") = objEMailDictionary.Item("SMTPServer")
				.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = objEMailDictionary.Item("SMTPServerPort")
				If objEMailDictionary.Item("SMTPAuthenticate") = True Then
					.Item("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = cdoBasic
					.Item("http://schemas.microsoft.com/cdo/configuration/sendusername") = objEMailDictionary.Item("SMTPUserName")
					.Item("http://schemas.microsoft.com/cdo/configuration/sendpassword") = objEMailDictionary.Item("SMTPPassWord")
				Else
					.Item("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = cdoAnonymous
				End If
			Else
				.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverpickupdirectory") = objEMailDictionary.Item("SMTPServerPickUpDirectory")				
				
			End If     
			.Update
		End With

		Set objCDOiMsgFlds = objCDOiMsg.Fields
		With objCDOiMsgFlds
			If objEMailDictionary.Item("Importance") = 0 Then
				.Item("urn:schemas:mailheader:X-Priority") = 5
			ElseIf objEMailDictionary.Item("Importance") = 1 Then
				.Item("urn:schemas:mailheader:X-Priority") = 3
			Else
				.Item("urn:schemas:mailheader:X-Priority") = 0
			End If
			.Item("urn:schemas:httpmail:importance") = objEMailDictionary.Item("Importance")
			.Item("urn:schemas:mailheader:X-MSMail-Priority") = objEMailDictionary.Item("Importance")
			.Update
		End With

		With objCDOiMsg
			Set .Configuration = objCDOiConf
			.To = strTo
			.From = strFrom
			.ReplyTo = strFrom
			.Subject = strSubject
			If blnHTML = False Then
				.TextBody = txtMessage
			Else
				.HTMLBody = txtMessage
			End If
			On Error Resume Next
			.Send
		End With
		Set objCDOiMsgFlds = Nothing 
		Set objCDOFlds = Nothing
		Set objCDOiConf = Nothing
		Set objCDOiMsg = Nothing

		'=== Generate Response, depending on error ===
		Dim objResponseDictionary
		Set objResponseDictionary = Server.CreateObject("Scripting.Dictionary")
		If Err.Number = 0 Then
			Call objResponseDictionary.Add("MessageSent", CBool(True))
			Call objResponseDictionary.Add("ErrorMessage", "")
			Call objResponseDictionary.Add("ErrorNumber", 0)
			Call objResponseDictionary.Add("ErrorDescription", "")
			Call objResponseDictionary.Add("ErrorSource", "")
			Set SendMail = objResponseDictionary
			Set objResponseDictionary = Nothing
		ElseIf Err.Number = -2147220973  Then
			Call objResponseDictionary.Add("MessageSent", CBool(False))
			Call objResponseDictionary.Add("ErrorMessage", "SMTP Server could not be found!")
			Call objResponseDictionary.Add("ErrorNumber", Err.Number)
			Call objResponseDictionary.Add("ErrorDescription", Err.Description)
			Call objResponseDictionary.Add("ErrorSource", Err.Source)
			Set SendMail = objResponseDictionary
			Set objResponseDictionary = Nothing
		Else
			Call objResponseDictionary.Add("MessageSent", CBool(False))
			Call objResponseDictionary.Add("ErrorMessage", "Unexpected error!")
			Call objResponseDictionary.Add("ErrorNumber", Err.Number)
			Call objResponseDictionary.Add("ErrorDescription", Err.Description)
			Call objResponseDictionary.Add("ErrorSource", Err.Source)
			Set SendMail = objResponseDictionary
			Set objResponseDictionary = Nothing
		End If
		On Error GoTo 0
	End Function
%>