<!-- #include file = "Configuration.asp" -->
<!-- #include file = "X-Send.asp" -->
<%
	Function IsValidEMailAddress(EMailAddress)
		Dim objRegExp
		Set objRegExp = New RegExp
		objRegExp.IgnoreCase = False
		objRegExp.Pattern = "^(([A-Za-z0-9]+_+)|([A-Za-z0-9]+\-+)|([A-Za-z0-9]+\.+)|([A-Za-z0-9]+\++))*[A-Za-z0-9]+@((\w+\-+)|(\w+\.))*\w{1,63}\.[a-zA-Z]{2,6}$"
		IsValidEMailAddress = objRegExp.Test(EMailAddress)
		Set objRegExp = Nothing
	End Function

	If Request.Form("POST_Action") = "POSTContactUs" Then
		Dim strFullName, strEMailAddress, strSubject, strMessage, strIPAddress, strErrors
		strFullName = Request.Form("FullName")
		strEMailAddress = Request.Form("EMailAddress")
		strSubject = Request.Form("Subject")
		strMessage = Request.Form("Message")
		strIPAddress = Request.ServerVariables("REMOTE_ADDR")

		If Len(strFullName) = 0 Then
			strErrors = strErrorStart & "Please enter your Full Name." & strErrorEnd
		End If

		If Len(strEMailAddress) = 0 Then
			strErrors = strErrors & strErrorStart & "Please enter your E-Mail Address." & strErrorEnd
		Else
			If IsValidEMailAddress(strEMailAddress) = False Then
				strErrors = strErrors & strErrorStart & "Please enter a valid E-Mail Address." & strErrorEnd
			End If
		End If

		If Len(strSubject) = 0 Then
			strErrors = strErrors & strErrorStart & "Please enter a Subject." & strErrorEnd
		End If

		If Len(strMessage) = 0 Then
			strErrors = strErrors & strErrorStart & "Please enter a Message." & strErrorEnd
		End If

		If Len(strErrors) = 0 Then
			Dim strMessageBody
			strMessageBody = strMessage & vbCrLf & vbCrLf & "----------" & vbCrLf & "IP Address:" & vbTab & strIPAddress
			Dim objEMailParms, objEMailResponse, blnMessageSent
			Set objEMailParms = Server.CreateObject("Scripting.Dictionary")
			objEMailParms.Add "SendUsing", cdoSendUsingPort
			objEMailParms.Add "SMTPServer", "localhost"
			objEMailParms.Add "SMTPServerPort", 25
			objEMailParms.Add "SMTPAuthenticate", False
			objEMailParms.Add "Importance", cdoNormal
			objEMailParms.Add "ToName", strSiteName
			objEMailParms.Add "ToEMail", "you@yourdomain.com"
			objEMailParms.Add "FromName", strFullName
			objEMailParms.Add "FromEMail", strEMailAddress
			objEMailParms.Add "Subject", strSubject
			objEMailParms.Add "HTMLBody", False
			objEMailParms.Add "Message", strMessageBody
			Set objEMailResponse = SendMail(objEMailParms)
			blnMessageSent = objEMailResponse.Item("MessageSent")
			objEMailResponse.RemoveAll()
			Set objEMailResponse = Nothing
			If blnMessageSent = False Then
				strErrors = strErrorStart & "We were unable to process your request, as a fatal error occurred." & strErrorEnd
			End If

			strMessageBody = "Thank you for contacting " & strSiteName & ", below please find a copy of your message." & vbCrLf & "----------" & vbCrLf & vbCrLf & strMessage
			Set objEMailParms = Server.CreateObject("Scripting.Dictionary")
			objEMailParms.Add "SendUsing", cdoSendUsingPort
			objEMailParms.Add "SMTPServer", "localhost"
			objEMailParms.Add "SMTPServerPort", 25
			objEMailParms.Add "SMTPAuthenticate", False
			objEMailParms.Add "Importance", cdoNormal
			objEMailParms.Add "ToName", strFullName
			objEMailParms.Add "ToEMail", strEMailAddress
			objEMailParms.Add "FromName", strSiteName
			objEMailParms.Add "FromEMail", "auto-noreply@yourdomain.com"
			objEMailParms.Add "Subject", "Auto Reply: " & strSubject
			objEMailParms.Add "HTMLBody", False
			objEMailParms.Add "Message", strMessageBody
			Set objEMailResponse = SendMail(objEMailParms)
			blnMessageSent = objEMailResponse.Item("MessageSent")
			objEMailResponse.RemoveAll()
			Set objEMailResponse = Nothing
			If blnMessageSent = False Then
				strErrors = strErrorStart & "We were unable to process your request, as a fatal error occurred." & strErrorEnd
			End If

			If Len(strErrors) = 0 Then
				Response.Write("Thank You for contacting us, please expect a reply in 24 to 48 hours")
				Response.End()
			End If
		End If
	End If
%>
<html>
<head>
<title>Contact Us</title>
</head>
<body>
<p>
	Please use the form below to contact us, we should reply with in 24 to 48 hours. You will be sent a copy of this e-mail for your records.
</p>
<form action="/ContactUs.asp" method="POST">
	<input name="POST_Action" type="hidden" value="POSTContactUs">
	<table>
		%%Errors%%
		<tr>
			<th align="left">Full Name:</th>
			<td width="2%">&nbsp;</td>
			<td>
	<input name="FullName" maxlength="255" value="<%=Request.Form("FullName")%>" />
			</td>
		</tr>
		<tr>
			<th align="left">E-Mail Address:</th>
			<td width="2%">&nbsp;</td>
			<td>
	<input name="EMailAddress" maxlength="255" value="<%=Request.Form("EMailAddress")%>" />
			</td>
		</tr>
		<tr>
			<th align="left">Subject:</th>
			<td width="2%">&nbsp;</td>
			<td>
	<input name="Subject" maxlength="255" value="<%=Request.Form("Subject")%>" />
			</td>
		</tr>
		<tr>
			<th align="left" valign="top">Message:</th>
			<td width="2%">&nbsp;</td>
			<td>
	<textarea cols="40" name="Message" rows="4"><%=Request.Form("Message")%></textarea>
			</td>
		</tr>
		<tr>
			<th colspan="3">
	<input type="submit" value="Send Message" />
			</td>
		</tr>
	</table>
</form>
</body>
</html>